Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce
Class X509Principal

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.X509Name
                  |
                  +--org.bouncycastle.jce.X509Principal

All Implemented Interfaces:
  DEREncodable, java.security.Principal

public class X509Principal
extends X509Name
implements java.security.Principal

Field Summary

Fields inherited from class org.bouncycastle.asn1.x509.X509Name
`C, CN, DC, DefaultLookUp, DefaultReverse, DefaultSymbols, E, EmailAddress, GENERATION, GIVENNAME, INITIALS, L, O, OIDLookUp, OU, RFC2253Symbols, SN, ST, SURNAME, SymbolLookUp, T, UID, UNIQUE_IDENTIFIER, UnstructuredAddress, UnstructuredName`

Constructor Summary
`X509Principal(boolean reverse, java.util.Hashtable lookUp, java.lang.String dirName)` Takes an X509 dir name as a string of the format "C=AU, ST=Victoria", or some such, converting it into an ordered set of name attributes.
`X509Principal(boolean reverse, java.lang.String dirName)` Takes an X509 dir name as a string of the format "C=AU,ST=Victoria", or some such, converting it into an ordered set of name attributes.
`X509Principal(byte[] bytes)` Constructor from an encoded byte array.
`X509Principal(java.util.Hashtable attributes)` constructor from a table of attributes.
`X509Principal(java.lang.String dirName)` takes an X509 dir name as a string of the format "C=AU,ST=Victoria", or some such, converting it into an ordered set of name attributes.
`X509Principal(java.util.Vector ordering, java.util.Hashtable attributes)` constructor from a table of attributes and a vector giving the specific ordering required for encoding or conversion to a string.
`X509Principal(java.util.Vector oids, java.util.Vector values)` constructor from a vector of attribute values and a vector of OIDs.
`X509Principal(X509Name name)` Constructor from an X509Name object.

Method Summary
`byte[]` | `getEncoded()` return a DER encoded byte array representing this object
`java.lang.String` | `getName()`

Methods inherited from class org.bouncycastle.asn1.x509.X509Name
`equals, equals, getInstance, getInstance, getOIDs, getValues, hashCode, toASN1Object, toString, toString`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, hashCode, toString`

Constructor Detail

### X509Principal

    public X509Principal(byte[] bytes)
                  throws java.io.IOException

  Constructor from an encoded byte array.

### X509Principal

    public X509Principal(X509Name name)

  Constructor from an X509Name object.

### X509Principal

    public X509Principal(java.util.Hashtable attributes)

  constructor from a table of attributes.

  it's is assumed the table contains OID/String pairs.

### X509Principal

    public X509Principal(java.util.Vector ordering,
                         java.util.Hashtable attributes)

  constructor from a table of attributes and a vector giving the specific ordering required for encoding or conversion to a string.

  it's is assumed the table contains OID/String pairs.

### X509Principal

    public X509Principal(java.util.Vector oids,
                         java.util.Vector values)

  constructor from a vector of attribute values and a vector of OIDs.

### X509Principal

    public X509Principal(java.lang.String dirName)

  takes an X509 dir name as a string of the format "C=AU,ST=Victoria", or some such, converting it into an ordered set of name attributes.

### X509Principal

    public X509Principal(boolean reverse,
                         java.lang.String dirName)

  Takes an X509 dir name as a string of the format "C=AU,ST=Victoria", or some such, converting it into an ordered set of name attributes. If reverse is false the dir name will be encoded in the order of the (name, value) pairs presented, otherwise the encoding will start with the last (name, value) pair and work back.

### X509Principal

    public X509Principal(boolean reverse,
                         java.util.Hashtable lookUp,
                         java.lang.String dirName)

  Takes an X509 dir name as a string of the format "C=AU, ST=Victoria", or some such, converting it into an ordered set of name attributes. lookUp should provide a table of lookups, indexed by lowercase only strings and yielding a DERObjectIdentifier, other than that OID. and numeric oids will be processed automatically.

  If reverse is true, create the encoded version of the sequence starting from the last element in the string.

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `java.security.Principal`

### getEncoded

    public byte[] getEncoded()

  return a DER encoded byte array representing this object

  Overrides:
    `getEncoded` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD